Bug 245443 - White title bar and no decorations displayed for maximized windows with compiz
White title bar and no decorations displayed for maximized windows with compiz
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-23 05:40 EDT by Felix Schwarz
Modified: 2009-01-09 02:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:08:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2007-06-23 05:40:17 EDT
After I enabled "Desktop Effects" on my HP Omnibook 6100 (graphics card is a
Radeon Mobility M6 LY), maximized windows have always a white title bar and no
visible decorations (minimize, maximize, close buttons). However, the title bar
is drawn correctly if the window is not maximized. 

Furthermore, the decorator buttons are still available but only invisible: The
tooltips still work and you can click them.

This seems to be an upstream issue as other distros have it too: See Ubuntu bug
89741, https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/89741

A screenshot which looks exactly like my issue can be found here:
http://launchpadlibrarian.net/7145696/bug89741-1.png

Using the workaround from bug 228644 (comment 3) by disabling
apps/gwd/use_metacity_theme in gconf brings the window decorations back. I did
not add my comment to bug 228644 as I only have the problem with maximized
windows and the reporter of that bug seems to experience the problem with all
windows.

Version-Release number of selected component (if applicable):
compiz-0.3.6-8.fc7
xorg-x11-drv-ati-6.6.3-4.fc7
Comment 1 Kristian Høgsberg 2007-08-15 18:24:33 EDT
These problems should be solved in todays rawhide build.  Can you confirm?
Comment 2 Felix Schwarz 2007-08-17 05:40:56 EDT
Unfortunately, there are too many dependencies to rawhide so I can't install it
right now. Will try to get rawhide on the machine later.
Comment 3 Matěj Cepl 2007-11-26 12:44:54 EST
Did you try F8? It should have everything what Rawhide had in August.
Comment 4 Felix Schwarz 2007-11-26 13:15:31 EST
Unfortunately, my notebook broke down some time ago so I can't test this any
more. Thank you very much.
Comment 5 Matěj Cepl 2007-11-26 17:16:47 EST
Oh well, thanks for letting us know.
Comment 6 Ross Tyler 2007-12-02 17:08:45 EST
This was a problem for me in F7 and continues to be one in F8.
Comment 7 Ross Tyler 2007-12-07 01:26:04 EST
I think this bug should be reopened but I lack the privileges to do so. Do I
need to write another bug? Help!
Comment 8 Felix Schwarz 2007-12-07 04:37:26 EST
reopening as requested by Ross Tyler
Comment 9 Felix Schwarz 2007-12-07 04:38:03 EST
Bumping affected version of Fedora to 8 as reported by Ross Tyler
Comment 10 Bug Zapper 2008-11-26 02:21:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:08:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.